#!/usr/bin/perl -w
# Calculate the branche lengths from outgroup to the other species
#  perl MyScript.pl

use strict;
use warnings;

use Bio::TreeIO;
use Bio::Tree::TreeFunctionsI;


# read in a phylip/newick format
my $treeio = Bio::TreeIO->new(-format => 'newick', -file => 'treefile.dnd');

my $tree = $treeio->next_tree; 
my $rootnode = $tree->get_root_node;
my @leaves = $tree->get_leaf_nodes;

my $og_id = "";
my $og = "";
my $sp_id = "";
my $sp = "";

my $distance = 0;

# Pick up the outgroup.
foreach my $node1 (@leaves) {
  $og_id = $node1->id;
  $og = $node1;
}

print "Outgroup is: $og_id\n";

foreach my $node ( @leaves ) {

   $sp_id = $node->id;
   $sp = $node;

   $distance = $tree->distance( -nodes => [  $og, $sp ]  );      

   print "Distance between $og_id and $sp_id: ";
   print "$distance\n";

}

exit;